Main Page Class Hierarchy Compound List File List Compound Members File Members

# interface.h File Reference

`#include "types.h"`
`#include "clipboard.h"`
`#include "point.h"`
`#include "rectangle.h"`
`#include "node.h"`
`#include "bitmap.h"`
`#include "movie.h"`
`#include "object.h"`
`#include "window.h"`
`#include "resources.h"`
`#include "section.h"`
`#include "font.h"`
`#include "titlebar.h"`
`#include "button.h"`
`#include "display.h"`
`#include "static.h"`
`#include "edit.h"`
`#include "segment.h"`
`#include "flash.h"`
`#include "menu.h"`
`#include "list.h"`
`#include "thread.h"`
`#include "filedlg.h"`
`#include "file.h"`
`#include "filehd.h"`
`#include "filemem.h"`
`#include "plugz.h"`

Go to the source code of this file.

## Compounds
class | Alib
## Defines
#define | ELEKTRONIKA
#define | alibMAXCOLORS 1
## Enumerations
enum | { fontROUND08 = 0, fontROUND10, fontROUND12, fontROUND20, fontTERMINAL06, fontTERMINAL09, fontTERMINAL12, fontELEKTRO, fontSEGMENT10, fontCONFIDENTIAL14, fontCONFIDENTIAL16, fontCONFIDENTIAL20, fontCONFIDENTIAL24, fontCONFIDENTIAL36, alibMAXFONTS }
enum | { contextALIB = 10000, contextELEKTRO = 20000, contextELEKTRONIKA = 30000, contextAPP = 40000, contextPLUG = 50000 }
## Functions
ADLL void | initAlib ()
ADLL int | runAlib ()
ADLL void | Aexit (int n)
ADLL void | freeAlib ()
ADLL void | httpto (char *url)
ADLL void | mailto (char *email)
## Variables
ADLL class Aresource | alibres
ADLL class Aresource | resource
ADLL class Alib | alib
ADLL dword | mainThreadID

## Define Documentation

#define ELEKTRONIKA

#define alibMAXCOLORS 1

## Enumeration Type Documentation

anonymous enum

  | Enumeration values:
  fontROUND08 |
  fontROUND10 |
  fontROUND12 |
  fontROUND20 |
  fontTERMINAL06 |
  fontTERMINAL09 |
  fontTERMINAL12 |
  fontELEKTRO |
  fontSEGMENT10 |
  fontCONFIDENTIAL14 |
  fontCONFIDENTIAL16 |
  fontCONFIDENTIAL20 |
  fontCONFIDENTIAL24 |
  fontCONFIDENTIAL36 |
  alibMAXFONTS |

anonymous enum

  | Enumeration values:
  contextALIB |
  contextELEKTRO |
  contextELEKTRONIKA |
  contextAPP |
  contextPLUG |

## Function Documentation

ADLL void Aexit | ( | int | n | ) |

ADLL void freeAlib | ( |  | ) |

ADLL void httpto | ( | char * | url | ) |

ADLL void initAlib | ( |  | ) |

ADLL void mailto | ( | char * | email | ) |

ADLL int runAlib | ( |  | ) |

## Variable Documentation

ADLL class Alib alib

ADLL class Aresource alibres

ADLL dword mainThreadID

ADLL class Aresource resource